<script lang="ts">
import Vue from 'vue';
import type { PropType } from 'vue';
import { CtfCard } from '~/models';
import { CardBasicStyle } from '~/components/common/index.vue';

export default Vue.extend({
  name: 'WhyUpgradeCardGroup',
  components: { CardBasicStyle },
  props: {
    header: {
      type: String,
      required: false,
      default: '',
    },
    cards: {
      type: Array as PropType<CtfCard[]>,
      required: false,
      default: () => [],
    },
  },
  data() {
    return {};
  },
});
</script>
<template>
  <section class="why-upgrade-card-group">
    <SlpTypography tag="h2" variant="heading3-bold" class="slp-mb-32">{{
      header
    }}</SlpTypography>
    <div class="why-upgrade-card-group__cards">
      <CardBasicStyle
        v-for="card in cards"
        :key="card.title"
        :no-hover="true"
        :padding-size="24"
        :no-header="true"
        class="why-upgrade-card-group__card"
      >
        <div class="partners__benefits-card-title">
          <SlpIcon
            v-if="card.iconName"
            size="md"
            :icon="`slp-${card.iconName}`"
            class="slp-mb-16"
          />
          <SlpTypography tag="h4" variant="heading5-bold" class="slp-mb-16">{{
            card.title
          }}</SlpTypography>
        </div>
        <SlpTypography
          tag="p"
          variant="body1"
          class="why-upgrade-card-group__description slp-mr-16"
          >{{ card.description }}</SlpTypography
        >
        <SlpButton
          v-if="card.button"
          variant="tertiary"
          :href="card.button.externalUrl"
          :data-ga-name="card.button.dataGaName"
          :data-ga-location="card.button.dataGaLocation"
          class="why-upgrade-card-group__button"
        >
          {{ card.button.text }}
          <SlpIcon
            name="chevron-lg-right"
            variant="product"
            hex-color="#171321"
            alt="Chevron Right Icon"
          />
        </SlpButton>
      </CardBasicStyle>
    </div>
  </section>
</template>

<style scoped lang="scss">
.why-upgrade-card-group {
  &__cards {
    display: grid;
    grid-template-columns: 1fr;
    gap: 16px;
    @media (min-width: $breakpoint-md) {
      grid-template-columns: repeat(2, 1fr);
    }
    & > :last-child {
      @media (min-width: $breakpoint-md) {
        grid-column-start: 1;
        grid-column-end: 3;
      }
    }
  }
  &__card {
    display: flex;
    flex-direction: column;
  }
  &__description {
    margin-bottom: 32px;
  }
  &__button {
    margin-top: auto;
  }
}
</style>
